Subject: Re: [PATCH 6/7] [POWERPC] mpc8568mds.dts: fix PCI/PCIe nodes

From: Scott Wood <[email-masked]>
Date: Fri, 5 Oct 2007 13:01:35 -0500

On Fri, Oct 05, 2007 at 09:56:46PM +0400, Sergei Shtylyov wrote:
> Hello.
> 
> Anton Vorontsov wrote:
> 
> > Commit 5bece127f0666996ca90772229e00332a34e516c tried to fix
> > PCI/PCIe nodes, but actually it broke them even harder. ;-)
> 
>     Of course. But shouldn't those be the subnoses of the "soc" type node?

No -- the soc node is for immr/ccsr only, and while the PCI control
registers are there, the ranges are not.  There was a lengthy discussion on
IRC about this a couple weeks ago.  It'd be cleaner to split the control
node from the bus node, and connect them with phandles, but some people
didn't like that, and this is what we compromised on.

-Scott